﻿
.location-list li .location-block {
    position: relative;
}

.map-with-locations {
    width: 100%;
    position: relative;
}

header .book-nav-btn {
    display: none;
}

.location-scroll {
    overflow-y: auto;
    flex: 1;
}

.location-list-wrapper {
    position: absolute !important;
    top: 0;
    left: 0;
    width: 550px;
    z-index: 2;
    height: 100% !important;
}

@media (min-width: 991px) {
    #map.auto-height-map {
        min-height: 600px;
    }
}

.map-with-locations span.address p,
.map-with-locations span.phone p {
    font-size: 18px;
}

.location-list {
    display: flex;
    flex-direction: column;
    padding: 1.5rem !important;
    height: 100% !important;
    padding-bottom: 0px !important;
}

    .location-list li.highlight {
        padding: 0px;
        border-radius: 0px;
        background-color: transparent;
    }

    .location-list li {
        transition: all .5s ease;
    }

    .location-list li:hover{
        background-color: var(--light-grey-50);
        border-radius: 20px;
    }

nav.navbar {
    border-bottom: 1px solid var(--light-grey-50)!important;
}

.map-with-locations span.address,
.map-with-locations span.phone {
    display: flex;
    gap: 15px;
    margin-bottom: 10px;

}

.map-with-locations span.address a,
.map-with-locations span.phone a {
    text-decoration: none;
    font-weight: 400;
}

.map-with-locations h4 {
    margin-bottom: 10px;
}

.map-with-locations span.address .block-icon,
.map-with-locations span.phone .block-icon {
    width: 25px;
    padding-top: 1px;
}

.map-with-locations span.address .block-icon i {
    font-size: 24px;
}

    .map-with-locations span.phone .block-icon i {
        font-size: 20px;
    }

.location-list li .location-block {
    border: 2px solid #ffffff;
}

.location-list li.highlight .location-block {
    border: 2px solid var(--massage-green);
}

.no-results-message {
    font-size: 0.9rem;
    color: #777;
}

#map {
    width: calc(100% - 550px);
    margin-left: 550px;
}

.map-with-locations h3 {
    margin-top: 20px !important;
    margin-bottom: 10px;
}

.map-with-locations input#location-search {
    border-radius: 10px;
    background: #F0F0F0;
    border: none;
    min-height: 50px;
}

/* .map-with-locations input {
    margin-bottom: 31px !important;
} */

    .map-with-locations input.search-error {
        margin-bottom: 15px !important;
    }

.map-with-locations .no-results-message {
    margin-bottom: 25px;
    font-size: 17px;
}

.location-block {
    border: 1px solid var(--main-color-30);
    border-radius: 20px;
    padding: 20px 25px;
}

.location-scroll ul.list-unstyled li::before {
    display: none;
}

.location-scroll ul.list-unstyled li {
    padding-left: 0px;
}

.book-nav-btn {
    display: none!important;
}

@media (min-width: 1200px) and (max-width: 1367px) {
    .location-list-wrapper {
        width: 450px;
    }

    #map {
        width: calc(100% - 450px);
        margin-left: 450px;
    }

    .location-block .button-wrapper p a {
        width: 100%;
    }

    .location-block .button-wrapper p a.mb-10 {
        margin-bottom: 10px;
    }

    .location-list li .location-block {
        position: relative;
        padding-right: 45px;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .location-list-wrapper {
        width: 360px;
    }

    #map {
        width: calc(100% - 360px);
        margin-left: 360px;
    }

    .button-wrapper p a {
        width: 100%;
        text-align: center;
    }

        .button-wrapper p a.main-btn {
            margin-bottom: 7px;
        }

    .location-block .button-wrapper p a.mb-10 {
        margin-bottom: 10px;
    }

    .location-block .button-wrapper p a {
        width: 100%;
        font-size: 15px;
        line-height: 18px;
        padding: 8px 8px 8px;
    }
}

@media (max-width: 991px) {
    #map {
        width: 100%;
        margin-left: 0;
    }

    .main-body-content.Site-content {
        margin-top: 107px;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .map-with-locations {
        display: flex;
        flex-direction: column-reverse;
    }

    .location-list-wrapper {
        width: 100%;
        position: relative !important;
        height: unset !important;
    }

    #map {
        height: 350px !important;
    }

    .map-with-locations h3 {
        margin-top: 0px !important;
    }

    .map-with-locations h4 {
        margin-bottom: 10px;
        font-size: 20px !important;
    }

    .map-with-locations span.address, .map-with-locations span.phone {
        gap: 10px;
        margin-bottom: 10px;
    }

    .button-wrapper p a.main-btn {
        margin-bottom: 7px;
    }

    .location-scroll {
        max-height: calc(100vh - 320px);
    }

    .location-list {
        margin-top: 20px;
    }

    .map-with-locations input#location-search {
        margin-bottom: 15px !important;
    }
}

@media (max-width: 768px) {
    .location-list-wrapper {
        width: 100%;
        position: relative !important;
        height: unset !important;
    }

    #map {
        height: 250px !important;
    }

    .map-with-locations h3 {
        margin-top: 0px !important;
    }

    .map-with-locations h4 {
        margin-bottom: 10px;
        font-size: 20px !important;
    }

    .map-with-locations span.address, .map-with-locations span.phone {
        gap: 10px;
        margin-bottom: 10px;
    }

    .button-wrapper p a {
        width: 100%;
        text-align: center;
    }

        .button-wrapper p a.main-btn {
            margin-bottom: 7px;
        }

    .location-scroll {
        max-height: calc(100vh - 320px);
    }

    .location-list {
        margin-top: 20px;
    }

    .map-with-locations input#location-search {
        margin-bottom: 15px !important;
    }

    .location-block .button-wrapper p a.mb-10 {
        margin-bottom: 10px;
    }

    .location-block .button-wrapper p a {
        width: 100%;
        font-size: 15px;
        line-height: 18px;
        padding: 8px 8px 8px;
    }
}

@media (max-width: 767px) {
    .map-with-locations {
        display: flex;
        flex-direction: column-reverse;
    }
}
